Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 1511402 - The ad hoc page use a stressful query from Prometheus.
Summary: The ad hoc page use a stressful query from Prometheus.
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat CloudForms Management Engine
Classification: Red Hat
Component: C&U Capacity and Utilization
Version: unspecified
Hardware: Unspecified
OS: Unspecified
low
low
Target Milestone: GA
: 5.10.0
Assignee: Yaacov Zamir
QA Contact: Shalom Naim
URL:
Whiteboard:
Depends On:
Blocks: 1514523
TreeView+ depends on / blocked
 
Reported: 2017-11-09 10:06 UTC by Yaacov Zamir
Modified: 2018-06-21 20:29 UTC (History)
5 users (show)

Fixed In Version: 5.10.0.0
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
: 1514523 (view as bug list)
Environment:
Last Closed: 2018-06-21 20:29:22 UTC
Category: ---
Cloudforms Team: Container Management


Attachments (Terms of Use)

Description Yaacov Zamir 2017-11-09 10:06:24 UTC
Description of problem:
The ad hoc page use a stressful query from Prometheus.

the ```query={job="kubernetes-nodes",job=~"kubernetes-nodes"}```
is used to get all the labels available,

This query may take a lot of time (e.g. more then 10s) on large system scales.

Steps to Reproduce:
1. query Prometheus for all available metrics from a large scale system.

Actual results:
takes more then 10s

Expected results:
takes less then 10s

Additional info:
We need to investigate other ways to query the needed tags.

see bug: https://bugzilla.redhat.com/show_bug.cgi?id=1511341

Comment 2 Yaacov Zamir 2017-11-15 10:12:13 UTC
Submitted upstream:
https://github.com/ManageIQ/manageiq-ui-classic/pull/2736

Comment 3 Yaacov Zamir 2017-11-16 14:19:43 UTC
merged to master upstream:
https://github.com/ManageIQ/manageiq-ui-classic/pull/2736

Comment 5 Shalom Naim 2017-12-05 07:04:56 UTC
How can I verify this issue?

Do I have to compare query running duration between the old version and the latest one?

Is this possible to get this info using curl query and use the time command to estimate response time?

Comment 6 Yaacov Zamir 2017-12-05 07:46:38 UTC
> Do I have to compare query running duration between the old version and the latest one?

No, it is enough to check that it works and does not break anything you can see.

The only system that I know of with a load that makes this change noticeable is used by the openshift ops guys.


Note You need to log in before you can comment on or make changes to this bug.